/**
 * WC Product Gallery styling.
 * @inc/wc/product-gallery/product-gallery.php
 * 
 */

.woocommerce-product-gallery{
    display: grid;
    grid-template-columns: 1fr;
    grid-auto-rows: auto;
    gap: 24px;
    position: relative;
    margin: 40px 0;
}

.woocommerce-product-gallery .flex-viewport{
    grid-row: 1;
    grid-column: 1;
}

.woocommerce-product-gallery .woocommerce-product-gallery__image{
    opacity: 0;
}

.woocommerce-product-gallery .woocommerce-product-gallery__image.flex-active-slide,
.woocommerce-product-gallery .woocommerce-product-gallery__image:only-child{
    opacity: 1;
}

.woocommerce-product-gallery .woocommerce-product-gallery__image img{
    display: block;
}

.woocommerce-product-gallery ol.flex-control-thumbs{
    grid-row: 2;
    grid-column: 1;
    list-style-type: none;
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 8px;
    margin: 0;
}

.woocommerce-product-gallery ol.flex-control-thumbs li{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    cursor: pointer;
    padding: 0;
    margin: 0;
}

.woocommerce-product-gallery ol.flex-control-thumbs li img{
    opacity: 0.6;
    padding: 16px 0;
    border: 1px solid #eee;
}

.woocommerce-product-gallery ol.flex-control-thumbs li img.flex-active{
    opacity: 1;
    border: 1px solid #0af;
}

.woocommerce-product-gallery ul.flex-direction-nav{
    grid-row: 1;
    grid-column: 1;
    z-index: 2;
    display: flex;
    justify-content: space-between;
    align-items: center;
    list-style-type: none;           
    margin: 0;
    pointer-events: none;
}

.woocommerce-product-gallery ul.flex-direction-nav li{
    margin: 0;
    padding: 0;
}

.woocommerce-product-gallery ul.flex-direction-nav a{
    pointer-events: auto;
    cursor: pointer;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    width: 48px;
    height: 48px;
    line-height: 48px;
    text-align: center;
    background-color: #9df;
    color: #fff;
    opacity: 0.6;
    font-family: 'entypo-fontello-enfold';
    transition: all .4s ease-in-out;
}

.woocommerce-product-gallery ul.flex-direction-nav a:hover{
    background-color: #0af;
    opacity: 1;
    outline: none;
}

.woocommerce-product-gallery ul.flex-direction-nav a.flex-next::after{
    content: '\E87d';
}

.woocommerce-product-gallery ul.flex-direction-nav a.flex-prev::before{
    content: '\E87c';
}

@media only screen and (max-width: 1024px){

    .woocommerce-product-gallery ol.flex-control-thumbs{
        grid-template-columns: repeat(5, 1fr);
    }

    .woocommerce-product-gallery ul.flex-direction-nav a{
        display: none;
    }

}

@media only screen and (max-width: 767px){

    .woocommerce-product-gallery ol.flex-control-thumbs{
        grid-template-columns: repeat(4, 1fr);
    }

}


/* WC Product Video Gallery */
.acf-oembed-wrapper{
    position: relative;
    padding-bottom: 56.25%; /* 16:9 */
    height: 0;
    overflow: hidden;
    max-width: 100%;
}

.acf-oembed-wrapper iframe,
.acf-oembed-wrapper video{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}